remote runners
Get remote runners jobId
Requires scopes: runs:read
GET
/
api
/
remote-runners
/
jobs
/
{jobId}
Get remote runners jobId
curl --request GET \
--url https://evalgate.com/api/remote-runners/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/remote-runners/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/remote-runners/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"subjectKind": "<string>",
"artifactId": 123,
"artifactVersionId": 123,
"artifactContentHash": "<string>",
"environment": "<string>",
"inputHash": "<string>",
"input": {},
"requirements": {
"runtime": "<string>",
"network": {
"mode": "deny_all",
"allowlist": [
"<string>"
]
},
"maxOutputBytes": 123,
"executionKind": "prompt",
"cpuMillis": 123,
"memoryMb": 123,
"wallMillis": 123,
"requireStreaming": true,
"requireCancellation": true
},
"requirementsHash": "<string>",
"state": "succeeded",
"dispatchAttempt": 123,
"activeClaimId": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"cancelRequestedBy": "<string>",
"cancelReason": "<string>",
"terminalAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"claims": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "<string>",
"runnerId": "<string>",
"credentialTokenId": "<string>",
"dispatchAttempt": 123,
"nonce": "<string>",
"keyId": "<string>",
"payloadHash": "<string>",
"signature": "<string>",
"state": "<string>",
"claimedAt": "2023-11-07T05:31:56Z",
"leaseExpiresAt": "2023-11-07T05:31:56Z",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"releasedAt": "2023-11-07T05:31:56Z",
"lostReason": "<string>"
}
],
"chunks": [
{
"payloadRetentionState": "immutable",
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "<string>",
"claimId": "<string>",
"dispatchAttempt": 123,
"sequence": 123,
"kind": "<string>",
"previousChecksum": "<string>",
"payload": {},
"payloadHash": "<string>",
"checksum": "<string>",
"emittedAt": "2023-11-07T05:31:56Z",
"receivedAt": "2023-11-07T05:31:56Z"
}
],
"completion": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "<string>",
"claimId": "<string>",
"runnerId": "<string>",
"dispatchAttempt": 123,
"status": "<string>",
"inputHash": "<string>",
"resultHash": "<string>",
"finalStreamChecksum": "<string>",
"completionChecksum": "<string>",
"evaluationRunId": 123,
"traceId": 123,
"completedAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z"
},
"events": [
{
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "<string>",
"claimId": "<string>",
"fromState": "<string>",
"toState": "<string>",
"actorType": "<string>",
"actorId": "<string>",
"rationale": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"reconciliations": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "<string>",
"claimId": "<string>",
"incomingCompletionChecksum": "<string>",
"decision": "<string>",
"reason": "<string>",
"reportedCostRecordIds": [
123
],
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
⌘I
Get remote runners jobId
